package com.itjob.dao.model;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class Role implements Serializable {
	private static final long serialVersionUID = 1L;
	private long trId;          // 角色ID
	private String roleName;    // 角色名称
	private String description; // 角色描述
	private Date createTime;    // 创建时间
	private Set<TRight> rights = new HashSet<TRight>(0); // 权限集合
	private Set<User> users = new HashSet<User>(0);    // 用户集合
	
	public Set<User> getUsers() {
		return users;
	}
	public void setUsers(Set<User> users) {
		this.users = users;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public long getTrId() {
		return trId;
	}
	public void setTrId(long trId) {
		this.trId = trId;
	}
	public Set<TRight> getRights() {
		return rights;
	}
	public void setRights(Set<TRight> rights) {
		this.rights = rights;
	}
}
